Subject: Re: bug#53253: Guix home test failing

From: Ludovic Courtès <[email-masked]>
Date: Fri, 14 Jan 2022 16:17:09 +0100

Hi,

Gábor Boskovits <[email-masked]> skribis:

> The guix home test is failing on the testsuite, when the requirement to
> provide XDG_RUNTIME_DIR is not met. The test should be set up to provide a
> proper environment irrespective of the setup.
>
> The test log ends with:
> + cat
> + guix home reconfigure /tmp/tmp.zQT5LdzYx7/home.scm
> /gnu/store/f8pjw90hv5176rjq126zbmy2vm2jdggw-home
> guix home: error: mkdir: Permission denied
> + chmod -Rf +w /tmp/tmp.zQT5LdzYx7
> + rm -rf /tmp/tmp.zQT5LdzYx7
> FAIL tests/guix-home.sh (exit status: 1)
>
> I did not see anything interesting before these lines, but I can provide
> the whole log if needed.

Could you share the content of
/gnu/store/f8pjw90hv5176rjq126zbmy2vm2jdggw-home (possibly redacted to
remove personal data)?

Note that the test runs fine when doing ‘guix build guix’, so I wonder
what could be interfering here.

Thanks,
Ludo’.